package com.emr.service.emrLog;

import com.emr.entity.emrLog.Emr_Log;

import java.util.Date;
import java.util.Map;

public interface LogService {
    void insert(Emr_Log log);

    void insertInterface(Emr_Log log, String userName);

    void autoInsert(Emr_Log log);

    void deleteLogById(Integer logId);

    Map<String,Object> selectObjectByKey(String tableName, String whereSql);

    int delLogsByDate(String date);

    void deleteLogByIds(String str);
}
